Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Static Public Member Functions | Protected Attributes | Private Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\EventListener\SiteAccessMatchListener Class Reference

kernel.request listener, triggers SiteAccess matching. More...

Inheritance diagram for eZ\Publish\Core\MVC\Symfony\EventListener\SiteAccessMatchListener:

## Public Member Functions
| __construct (SiteAccessRouter $siteAccessRouter, EventDispatcherInterface $eventDispatcher, RequestMatcherInterface $userContextRequestMatcher)

## Static Public Member Functions
static | getSubscribedEvents ()

## Protected Attributes
| $siteAccessRouter
| $eventDispatcher

## Private Member Functions
| getSiteAccessFromRequest (Request $request)

## Private Attributes
| $userContextRequestMatcher

## Detailed Description

kernel.request listener, triggers SiteAccess matching.

Should be triggered as early as possible.

Definition at line 27 of file SiteAccessMatchListener.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\EventListener\SiteAccessMatchListener::__construct | ( | SiteAccessRouter | $siteAccessRouter,
|  | EventDispatcherInterface | $eventDispatcher,
|  | RequestMatcherInterface | $userContextRequestMatcher
| ) |  |

Definition at line 44 of file SiteAccessMatchListener.php.

References eZ\Publish\Core\MVC\Symfony\EventListener\SiteAccessMatchListener\$eventDispatcher, eZ\Publish\Core\MVC\Symfony\EventListener\SiteAccessMatchListener\$siteAccessRouter, and eZ\Publish\Core\MVC\Symfony\EventListener\SiteAccessMatchListener\$userContextRequestMatcher.

## Member Function Documentation

## ◆ getSiteAccessFromRequest()

eZ\Publish\Core\MVC\Symfony\EventListener\SiteAccessMatchListener::getSiteAccessFromRequest | ( | Request | $request | ) |
| private

Parameters

  Request | $request |

Returns
  SiteAccess

Definition at line 127 of file SiteAccessMatchListener.php.

## ◆ getSubscribedEvents()

static eZ\Publish\Core\MVC\Symfony\EventListener\SiteAccessMatchListener::getSubscribedEvents | ( |  | ) |
| static

Definition at line 54 of file SiteAccessMatchListener.php.

## Member Data Documentation

## ◆ $eventDispatcher

eZ\Publish\Core\MVC\Symfony\EventListener\SiteAccessMatchListener::$eventDispatcher
| protected

Definition at line 35 of file SiteAccessMatchListener.php.

Referenced by eZ\Publish\Core\MVC\Symfony\EventListener\SiteAccessMatchListener\__construct().

## ◆ $siteAccessRouter

eZ\Publish\Core\MVC\Symfony\EventListener\SiteAccessMatchListener::$siteAccessRouter
| protected

Definition at line 32 of file SiteAccessMatchListener.php.

Referenced by eZ\Publish\Core\MVC\Symfony\EventListener\SiteAccessMatchListener\__construct().

## ◆ $userContextRequestMatcher

eZ\Publish\Core\MVC\Symfony\EventListener\SiteAccessMatchListener::$userContextRequestMatcher
| private

Definition at line 42 of file SiteAccessMatchListener.php.

Referenced by eZ\Publish\Core\MVC\Symfony\EventListener\SiteAccessMatchListener\__construct().

The documentation for this class was generated from the following file:

- SiteAccessMatchListener.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.